[python-ldap] Latest version 2.5.2 does not pip install properly

Carl Nobile carl.nobile at gmail.com
Thu Nov 30 11:30:18 EST 2017


OK, great. Looks like it will be out before our project needs to go to prod
next October. (I work for Cisco)
I'll continue using pyldap for now then update my requirements file later.
Can I rely on the basic usage remaining the same between the two packages?
Any major changes that could break code?


On Thu, Nov 30, 2017 at 11:26 AM, Petr Viktorin <encukou at gmail.com> wrote:

> On 11/30/2017 05:23 PM, Carl Nobile wrote:
>
>> Petr,
>>
>> Right, I need to use python 3. It looks like pyldap work fine with python
>> 3, when will that code be merged into python-ldap?
>>
>
> It's merged in the development branch. Expect a beta release next week.
>
>
>> Thanks
>>
>>
>> On Thu, Nov 30, 2017 at 11:18 AM, Petr Viktorin <pviktori at redhat.com
>> <mailto:pviktori at redhat.com>> wrote:
>>
>>     On 11/30/2017 05:04 PM, Carl Nobile wrote:
>>
>>         Hi all,
>>
>>         I'm trying to install python-ldap-2.5.2 in a virtual environment
>>         and I get the error below. Has the `ConfigParser` package been
>>         left out of the setup file's `install_requires` argument?
>>
>>
>>     Hello!
>>     The ConfigParser module is part of Python's standard library; it
>>     should always be available.
>>
>>     Maybe you're trying with Python 3? python-ldap-2.5.2 only supports
>>     Python 2.7. (But a python3-compatible version is in the works.)
>>
>>
>>
>>
>>         Collecting python-ldap (from -r requirements/base.txt (line 34))
>>             Using cached python-ldap-2.5.2.tar.gz
>>               Complete output from command python setup.py egg_info:
>>               Traceback (most recent call last):
>>                 File "<string>", line 1, in <module>
>>                 File "/tmp/pip-build-n7bi9m4s/python-ldap/setup.py",
>>         line 9, in <module>
>>                   from ConfigParser import ConfigParser
>>               ImportError: No module named 'ConfigParser'
>>               ----------------------------------------
>>         Command "python setup.py egg_info" failed with error code 1 in
>>         /tmp/pip-build-n7bi9m4s/python-ldap/
>>
>>
>>     --     Petr Viktorin
>>
>>
>>
>>
>> --
>> ------------------------------------------------------------
>> -------------------
>> Carl J. Nobile (Software Engineer)
>> carl.nobile at gmail.com <mailto:carl.nobile at gmail.com>
>> ------------------------------------------------------------
>> -------------------
>>
>>
>> _______________________________________________
>> python-ldap mailing list
>> python-ldap at python.org
>> https://mail.python.org/mailman/listinfo/python-ldap
>>
>>
>


-- 
-------------------------------------------------------------------------------
Carl J. Nobile (Software Engineer)
carl.nobile at gmail.com
-------------------------------------------------------------------------------
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.python.org/pipermail/python-ldap/attachments/20171130/8f251bae/attachment-0001.html>


More information about the python-ldap mailing list